Subject: Re: Problems with mingw32 GCC 2.8.0 !!!
From: [email-masked] (Fabio Vignoli)

28 Jan 1998 18:27:00 -0800
Message-ID: <Pine.SOL.3.95.980128150708.11882A-100000.cygnus.gnu-win32@gort>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Jan-Jaap van der Heijden <[email-masked]>
Cc: GNU-Win32 list <[email-masked]>,
        Colin Peters <[email-masked]>

> > You wrote "I shall assume `C:\MINGW32' but another location should be
> > fine", but it seems that it's not, I tried another directory and gcc
> > couldn't find the "specs" file in the ...gcc-lib/...
> > 
> I cannot reproduce this, even when the compiler is executed from a
> different drive. 
> 1) Did you preserve the trailing slash in GCC_EXEC_PREFIX ?
> 2) You did replace all `C:\MINGW32' with your alternative path, right?

1) Yes, I paied attention for that.
2) I suppose yes, maybe the problem is in the pathname with double quotes:
   I installed the packages in the <c:\"Program Files"\mingw32> directory.

Just to joke:
try in a MSDOS shell on windows NT : cd Program Files (it works) 
                                     cd "Program Files" (it works)
                                     dir Program Files (DOES NOT WORK!!!)
                                     dir "Program Files" (it works)
Does anybody can tell me why?

> The problem is an old version of `jam'.
> 
> It uses GCC's former `-dll' option, which has been renamed to `-mdll'.
> So, instead of building a DLL, GCC will try to link a .EXE, and fail
> miserably.

Thanks, I'll try to compile it by hand ...

Bye,
Fabio
-----------------------------ooooO*O*Ooooo---------------------------
Fabio Vignoli                      o o  (e-mail: [email-masked])
http://www-dsp.com.dist.unige.it/   ^   (             [email-masked])
DIST University of GENOVA          `-'  (        tel ++39.10.3532803)
PGP fingerprint =  E4 44 95 92 3B 23 2F 77    5D 15 44 9B 46 E6 8B B5
-----------------------------ooooO*O*Ooooo---------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".